{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "ege",
        "gGg",
        " g "
    ],
    "key": {
        "g": {
            "item": "minecraft:gold_block"
        },
        "G": {
            "item": "minecraft:ghast_tear"
        },
        "e": {
            "item": "minecraft:emerald"
        }
    },
    "result": {
        "item": "minecraft:totem_of_undying",
        "count": 1
    }
}